Git Lab CI for docker build enabled! You can enable it using .gitlab-ci.yml in your project. Check file template at https://gitlab.bio.di.uminho.pt/snippets/5

Commit e94f3484 authored by Diogo Batista Lima's avatar Diogo Batista Lima
Browse files

Update README-Template.md

parent d7401a53
...@@ -46,14 +46,11 @@ and to a [Ubuntu](https://www.microsoft.com/en-us/p/ubuntu/9nblggh4msv6?activeta ...@@ -46,14 +46,11 @@ and to a [Ubuntu](https://www.microsoft.com/en-us/p/ubuntu/9nblggh4msv6?activeta
after downloading the rar file from the OneDrive service, it is necessary to fulfill a few prerequisites. after downloading the rar file from the OneDrive service, it is necessary to fulfill a few prerequisites.
All code was written in Python 3.6, thus it it is necessary to install [Python](https://www.python.org/downloads/). Any Python 3 version should work All code was written in Python 3.6, thus it it is necessary to install [Python](https://www.python.org/downloads/). Any Python 3 version should work
fine but it is recommendable to install Python 3.6 or higher for optimal performance. The latest Python version, at the time of writing is 3.7.3 and fine but it is recommended to install Python 3.6 or higher for optimal performance. The latest Python version, at the time of writing is 3.7.3 and
it is fully compatible with Blueprint Repository. it is fully compatible with Blueprint Repository.
The only scenario where it might be necessary to install Neo4j is if the user wants to create and manipulate a local instance of the Blueprint Repository database.
To install Neo4j, access the following [link](https://neo4j.com/download-thanks/?edition=community&release=3.4.10&flavour=winzip&_ga=2.66976166.909941613.1542910944-847881713.1541509905)
To install Neo4j, access the following link:
https://neo4j.com/download-thanks/?edition=community&release=3.4.10&flavour=winzip&_ga=2.66976166.909941613.1542910944-847881713.1541509905
On Windows: On Windows:
...@@ -61,8 +58,7 @@ Access the comand line and type the following commands: ...@@ -61,8 +58,7 @@ Access the comand line and type the following commands:
`<NEO4J_HOME>\bin\neo4j install-service` `<NEO4J_HOME>\bin\neo4j install-service`
`<NEO4J_HOME>\bin\neo4j start` `<NEO4J_HOME>\bin\neo4j start`
Visit http://localhost:7474 in your web browser to visualize the database. Visit [http://localhost:7474](http://localhost:7474) in your web browser of choice, to visualize the database.
...@@ -70,7 +66,7 @@ Visit http://localhost:7474 in your web browser to visualize the database. ...@@ -70,7 +66,7 @@ Visit http://localhost:7474 in your web browser to visualize the database.
* [Python](https://www.python.org/downloads/) - Used programming language * [Python](https://www.python.org/downloads/) - Used programming language
* [Neo4j](https://neo4j.com/) - Database framework * [Neo4j](https://neo4j.com/) - Database framework
* [neo4j-driver](https://pypi.org/project/neo4j-driver/) - Python driver to interact with database `pip install neo4j-driver==1.3.1` * [neo4j-driver](https://pypi.org/project/neo4j-driver/) - Python driver to interact with database (USE THIS VERSION) `pip install neo4j-driver==1.3.1`
## Required Python Packages ## Required Python Packages
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment